Summary: ScrollKeeper is a cataloging system for documentation on open systems.
Name:       scrollkeeper
Version:    0.3.8
Release:    1
Source0:    http://download.sourceforge.net/scrollkeeper/%{name}-%{version}.tar.gz
Copyright:  LGPL
Group:      System Environment/Base
BuildRoot:  %{_tmppath}/%{name}-buildroot
URL:        http://scrollkeeper.sourceforge.net/
Requires:   libxml
Requires:   libxslt
Requires:   intltool >= 0.8.4
Requires:   docbook-dtds
Requires:   openjade
BuildRequires: libxml-devel
BuildRequires: libxslt-devel
BuildRequires: docbook-dtds
Patch:		scrollkeeper-0.2.nocrash.patch
Patch2:         scrollkeeper-0.3.4-xmlincludes.patch

%description 
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It can also communicate
with catalog servers on the Net to search for documents which are not
on the local system.

%prep
%setup
#%patch -p1 -b .nocrash
#%patch2 -p1 -b .xmlincludes

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -rf %{_datadir}/scrollkeeper/Templates || true

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING COPYING-DOCS AUTHORS README ChangeLog NEWS INSTALL 
%{_datadir}/omf/scrollkeeper
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/*.a
%{_sysconfdir}/*
%{_mandir}/*/*
%{_datadir}/scrollkeeper
%{_datadir}/xml

%post
if [ $1 = 2 ]; then
  # Upgrading
  echo "`date +"%b %d %X"` Upgrading to ScrollKeeper `scrollkeeper-config --version`..." >> %{_localstatedir}/log/scrollkeeper.log
fi
if [ $1 = 1 ]; then
  # Installing
  echo "`date +"%b %d %X"` Installing ScrollKeeper `scrollkeeper-config --version`..." >> %{_localstatedir}/log/scrollkeeper.log
fi
scrollkeeper-rebuilddb -p %{_localstatedir}/lib/scrollkeeper >> %{_localstatedir}/log/scrollkeeper.log 2>&1
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
  # SK is being removed, not upgraded.  
  #  ie. erase {localstatedir}/lib/scrollkeeper.
  rm -rf %{_localstatedir}/lib/scrollkeeper
  rm -rf %{_localstatedir}/log/scrollkeeper.log
  rm -rf %{_localstatedir}/log/scrollkeeper.log.1
fi
/sbin/ldconfig

%changelog
* Thu May 30 2002 Havoc Pennington <hp@redhat.com>
- 0.3.8
- no .la files
- add some missing stuff to file list
- divert output of rebuilddb to scrollkeeper.log

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- fix libxml include statements, #63362

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild in new environment
- ignore errors on removal of share/scrollkeeper/Templates in pre, #59494

* Wed Jan 30 2002 Alex Larsson <alexl@redhat.com> 0.3.4-2
- Moved %find_lang to %install
- Updated docbook dependency to docbook-dtds

* Mon Jan 28 2002 Alex Larsson <alexl@redhat.com> 0.3.4-2
- Updated to 0.3.4 from upstream. Updated parts of
- the specfile from the current upstream version.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Sun Jul  8 2001 Tim Powers <timp@redhat.com>
- languify and add ldconfig to satisfy rpmlint

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.
- Use _smp_mflags macro if applicable
* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Added to Red Hat build system

* Mon Mar 5 2001 Dan Mueth <dan@eazel.com>
- Added %postun to remove $datadir/scrollkeeper/templates
  to compensate for breakage in upgrade from 0.1.1 to 0.1.2

* Sun Mar 4 2001 Dan Mueth <dan@eazel.com>
- Added cleaner symbolic link section suggested by Karl 
  Eichwalder <keichwa@users.sourceforge.net>
- Have it blow away the database dir on first install, just
  in case an old tarball version had been installed
- Fixing the Source0 line at the top

* Tue Feb 15 2001 Dan Mueth <dan@eazel.com>
- added line to include the translations .mo file

* Tue Feb 06 2001 Dan Mueth <dan@eazel.com>
- fixed up pre and post installation scripts

* Tue Feb 06 2001 Laszlo Kovacs <laszlo.kovacs@sun.com>
- added all the locale directories and links for the template
  content list files

* Wed Jan 17 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- converted to scrollkeeper.spec.in

* Sat Dec 16 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- help files added

* Fri Dec 8 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- various small fixes added

* Thu Dec 7 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- fixing localstatedir problem
- adding postinstall and postuninstall scripts

* Tue Dec 5 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- adding COPYING, AUTHORS, etc
- fixed localstatedir for the OMF files

* Fri Nov 10 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- Initial spec file created.


